package com.bonus.canteen.core.drp.constant;

public enum DrpSupplierStatusEnum {
   UNAUDITED(1, "待审核"),
   NORMAL(2, "审核通过"),
   PULL_BLACK(3, "禁用");

   private final Integer key;
   private final String value;

   private DrpSupplierStatusEnum(Integer key, String value) {
      this.key = key;
      this.value = value;
   }

   public static Integer getKey(String value) {
      DrpSupplierStatusEnum[] enums = values();
      DrpSupplierStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpSupplierStatusEnum temp = var2[var4];
         if (temp.value().equals(value)) {
            return temp.key();
         }
      }

      return null;
   }

   public static String getValue(Integer key) {
      DrpSupplierStatusEnum[] enums = values();
      DrpSupplierStatusEnum[] var2 = enums;
      int var3 = enums.length;

      for(int var4 = 0; var4 < var3; ++var4) {
         DrpSupplierStatusEnum temp = var2[var4];
         if (temp.key().equals(key)) {
            return temp.value();
         }
      }

      return null;
   }

   public Integer key() {
      return this.key;
   }

   public String value() {
      return this.value;
   }

}
